import { FC, ElementType, HTMLAttributes } from 'react';
export interface CalloutProps extends HTMLAttributes<HTMLElement> {
    /** Classi aggiuntive per il componente */
    className?: string;
    /** Permette di dichiarare il colore del bordo e del titolo */
    color?: 'success' | 'warning' | 'danger' | 'note' | 'important' | string;
    /** Permette personalizzare il tag utilizzato per il Callout (diverso da "div"). Accetta sia tag HTML che componenti React. */
    tag?: ElementType;
    /** Abilita il Callout di tipo Highlight */
    highlight?: boolean;
    /** Abilita il Callout di tipo Approfondimento */
    detailed?: boolean;
    testId?: string;
}
export declare const Callout: FC<CalloutProps>;
