import { FC, AnchorHTMLAttributes, ElementType } from 'react';
export interface LinkListItemProps extends AnchorHTMLAttributes<HTMLAnchorElement> {
    /** Indica se l'elemento è attivo o no */
    active?: boolean;
    /** Indica se l'elemento è disabilitato o no */
    disabled?: boolean;
    /** Indica se l'elemento è un titolo. */
    header?: boolean;
    /** Indica se l'elemento è un divisore */
    divider?: boolean;
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Classi aggiuntive da usare per il componente LinkListItem */
    className?: string;
    /** Classi aggiuntive da usare per l'elemento contenitore dell'item */
    wrapperClassName?: string;
    /** Indica il link a cui l'elemento deve puntare. */
    href?: string;
    /** Utilizzato per aumentare taglia/grandezza dell'elemento: può essere "medium" o "large". */
    size?: 'medium' | 'large';
    testId?: string;
}
export declare const LinkListItem: FC<LinkListItemProps>;
