import React, { FC, HTMLAttributes } from 'react';
import { CSSModule } from 'reactstrap/types/lib/utils';
export interface ModalHeaderProps extends HTMLAttributes<HTMLElement> {
    [key: string]: any;
    cssModule?: CSSModule;
    /** Componente che conterrà il nodo titolo. Valore di default: h5 */
    tag?: React.ElementType;
    /** Componente che contenitore per l'header. Valore di default: div. */
    wrapTag?: React.ElementType;
    /** Funzione da passare al tasto di chiusura nell'intestazione. Quando questa funzione non è presente il tasto di chiusura non viene mostrato. Valore di default: undefined */
    toggle?: React.MouseEventHandler<any>;
    /** Indica il nome dell'icona da utilizzare nel titolo. */
    icon?: string;
    /** Classi da aggiungere al nodo contenitore. */
    className?: string;
    /** Utilizzato per personalizzare il messaggio peer screen reader per il bottone di chiusura del modale. Valore di default: 'Close' */
    closeAriaLabel?: string;
}
export declare const ModalHeader: FC<ModalHeaderProps>;
