import { FC, HTMLAttributes, ElementType } from 'react';
export interface PagerProps extends HTMLAttributes<HTMLElement> {
    /** Etichetta di descrizione del contenuto del componente Pager */
    'aria-label': string;
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati */
    tag?: ElementType;
    /** Utilizzarlo in caso di utilizzo di componenti personalizzati per la l'elemento lista interno */
    listTag?: ElementType;
    /** Classi aggiuntive da usare per il componente Pager */
    className?: string;
    /** Classi aggiuntive da usare per il componente di lista interno Pager */
    listClassName?: string;
    /** Utilizzare questo attributo per indicare il numero totale di pagine */
    total?: {
        ariaLabel: string;
        label: string;
    };
    testId?: string;
}
export declare const Pager: FC<PagerProps>;
