import React, { ReactElement } from 'react';
import { OptionsType } from 'react-select';
import type { Props as SelectBaseProps, OptionTypeBase, GroupTypeBase } from 'react-select';
export type { ValueType, ActionMeta, GroupTypeBase, OptionTypeBase } from 'react-select';
export declare type SelectOptionType<OptionType extends OptionTypeBase> = OptionType | OptionsType<OptionType>;
export interface SelectProps<OptionType extends OptionTypeBase, IsMulti extends boolean, GroupType extends GroupTypeBase<OptionType>> extends SelectBaseProps<OptionType, IsMulti, GroupType> {
    icon?: boolean;
    clearText?: string;
}
export declare const Select: <OptionType extends OptionTypeBase = {
    label: string;
    value: string;
}, IsMulti extends boolean = false, GroupType extends GroupTypeBase<OptionType> = GroupTypeBase<OptionType>>({ clearText, icon, ...props }: SelectProps<OptionType, IsMulti, GroupType>) => React.ReactElement<SelectProps<OptionType, IsMulti, GroupType>, string | ((props: any) => React.ReactElement<any, any> | null) | (new (props: any) => React.Component<any, any, any>)>;
